English

Error: This control requires an ESRI Designer license

Error Message

When developing applications that use the ArcGIS developer controls, if the control is dropped onto a form, the following error message appears:

"This control requires an ESRI Designer license. Remove this control from your project."

Cause

The ArcGIS Engine Developer Kit product is not installed and authorized on the machine.

ArcGIS Desktop installed the following controls:

-MapControl
-PageLayoutControl
-GlobeControl
-ReaderControl
-SceneControl
-TOCControl
-ToolbarControl

An ArcGIS Desktop license only allows the development or design of applications with the MapControl and PageLayoutControl controls.

The remaining controls are licensed for ArcGIS Engine and can only be used to develop if the ArcGIS Engine Developer Kit is installed and authorized.

Solution or Workaround

ArcGIS 9.0 & 9.1
Purchase the ArcGIS Engine Developer Kit product and authorize the machine to develop with any of the following controls:
-GlobeControl
-ReaderControl
-SceneControl
-TOCControl
-ToolbarControl

For more detailed information on how to use each of these controls and which license is needed for each, refer to the ArcGIS Developer Help. For example, the 'TOCControl CoClass' help topic says that this control's availability is with the ArcGIS Engine product.